正在查看: 2017年08月日志归档(第 1 页 / 共 2 篇)

PHP升级及Laravel部署

CentOS的版本太低,6.5。自带的php版本也太低,laravel的最低要求是6.7,需要升级php。在centos中直接使用: yum update php,会提示已经是最新的了,是因为rpm的原因,当前仓储已不再更新php,php5.3已经是最高版本,可以通过更改rpm的方式获得更新:

»阅读全文

Tags: laravel,php

electron app开发遇到的问题总结

最近用electron开发一个远程桌面的跨平台app,其中windows远程使用自带的rdp,其他系统使用freeRDP。该APP中用到大量的原生模块,也就是跟OS相关的模块,比如drivelist,是一个读取硬盘信息的包,usb-detection是一个探测是否有USB插入的包,集成这些包最大的问题是,跟自己使用Electron的Node引擎有关,一般来说需要重新编译,才可以使用。这个错误的典型特征是,控制台报错,不断地Try模板编译后的路径,然后告诉你找不到那个模块。

»阅读全文

Tags: electron